<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'mahasiswa',		
	array(			
	    'menu_icon' => 'dashicons-buddicons-buddyakademi-logo',
	    'labels'          => array(				
	    'name'                => _x( 'Mahasiswa', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Mahasiswa', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Mahasiswa?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Mahasiswa', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Mahasiswa', 'sekolah' ),	
	    'new_item'            => __( 'Item Baru', 'sekolah' ),	
	    'view'                => __( 'Lihat Mahasiswa', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Mahasiswa ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Mahasiswa di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),
        'featured_image'      => __( 'Pas Photo 300 x 400', 'sekolah' ),		
	    ),		                	
	    	'public'               => true,           					            
	    	'has_archive'          => true,        			            
	    	'supports'             => array( 'title', 'thumbnail', 'editor'),        			            
	    	'exclude_from_search'  => false, 	 
	    	'show_in_rest'         => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'mahasiswa_tutorial', 1);
	 
	function mahasiswa_tutorial() {
	    add_meta_box('mahasiswatutorial', 'Tutorial Pengelolaan Pos Mahasiswa', 'mahasiswatutorial', 'mahasiswa', 'normal', 'default');
	}

	function mahasiswatutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-siswa/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	
	add_action('admin_init', 'mhs', 1);
	function mhs() {
	    add_meta_box('mhs_data', 'Diodata Mahasiswa', 'mhs_data', 'mahasiswa', 'normal', 'default');
	}
	function mhs_data() {
	    global $post;
	    echo '<input type="hidden" name="eventmeta_noncename" id="eventmeta_noncename" value="' .esc_attr(
	    wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
	    $mas = get_post_meta($post->ID, '_mas', true);
		$nisn = get_post_meta($post->ID, '_nisn', true);
	    $sex = get_post_meta($post->ID, '_sex', true);
		$tmpt = get_post_meta($post->ID, '_tmpt', true);
		$tgl = get_post_meta($post->ID, '_tgl', true);
		$rel = get_post_meta($post->ID, '_rel', true);
		$add = get_post_meta($post->ID, '_add', true);
		$telp = get_post_meta($post->ID, '_telp', true);
		$mail = get_post_meta($post->ID, '_mail', true);
		$anak = get_post_meta($post->ID, '_anak', true);
		$dari = get_post_meta($post->ID, '_dari', true);
		$ayah = get_post_meta($post->ID, '_ayah', true);
		$ibu = get_post_meta($post->ID, '_ibu', true);
		$almt = get_post_meta($post->ID, '_almt', true);
		
		?>
		
		<div class="sekolah_metabox">
		
		    <label><?php esc_html_e( 'Mulai masuk kampus', 'sekolah' ); ?></label>
	        <input type="date" name="_mas" value="<?php echo esc_attr( $mas ); ?>" class="widefat" />
		
		    <label><?php esc_html_e( 'NIM', 'sekolah' ); ?></label>
	        <input type="text" name="_nisn" value="<?php echo esc_attr( $nisn ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Jenis Kelamin', 'sekolah' ); ?></label>
	        <input type="text" name="_sex" value="<?php echo esc_attr( $sex ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Tempat Lahir', 'sekolah' ); ?></label>
	        <input type="text" name="_tmpt" value="<?php echo esc_attr( $tmpt ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Tanggal Lahir', 'sekolah' ); ?></label>
	        <input type="date" name="_tgl" value="<?php echo esc_attr( $tgl ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Agama', 'sekolah' ); ?></label>
	        <input type="text" name="_rel" value="<?php echo esc_attr( $rel ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Alamat', 'sekolah' ); ?></label>
	        <input type="text" name="_add" value="<?php echo esc_attr( $add ); ?>" class="widefat" />
		
			<label><?php esc_html_e( 'Telpon', 'sekolah' ); ?></label>
	        <input type="text" name="_telp" value="<?php echo esc_attr( $telp ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Email', 'sekolah' ); ?></label>
	        <input type="text" name="_mail" value="<?php echo esc_attr( $mail ); ?>" class="widefat" />
			
			<div class="clear">
			    <div class="family">
				    <div class="infam">
			            <label><?php esc_html_e( 'Anak ke', 'sekolah' ); ?></label>
	                    <input type="text" name="_anak" value="<?php echo esc_attr( $anak ); ?>" class="widefat" />
					</div>
				</div>
				<div class="family">
					<div class="infam">
			            <label><?php esc_html_e( 'dari berapa bersaudara?', 'sekolah' ); ?></label>
	                    <input type="text" name="_dari" value="<?php echo esc_attr( $dari ); ?>" class="widefat" />
					</div>
				</div>
			</div>
			
			<div class="clear">
			    <div class="family">
				    <div class="infam">
			            <label><?php esc_html_e( 'Nama Ayah', 'sekolah' ); ?></label>
	                    <input type="text" name="_ayah" value="<?php echo esc_attr( $ayah ); ?>" class="widefat" />
					</div>
				</div>
				<div class="family">
					<div class="infam">
			            <label><?php esc_html_e( 'Nama Ibu', 'sekolah' ); ?></label>
	                    <input type="text" name="_ibu" value="<?php echo esc_attr( $ibu ); ?>" class="widefat" />
					</div>
				</div>
			</div>
		
		    <label><?php esc_html_e( 'Alamat Orang Tua', 'sekolah' ); ?></label>
	        <input type="date" name="_almt" value="<?php echo esc_attr( $almt ); ?>" class="widefat" />
			
		</div>
			
	<?php }
	
	function mhs_data_meta($post_id, $post) {
	    if ( !isset( $_POST['eventmeta_noncename'] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['eventmeta_noncename'])), plugin_basename(__FILE__) )) {
            return $post->ID;
        }
	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		if ( ! isset( $_POST['_mas'] ) ) {
	        $mahasiswa['_mas'] = sanitize_text_field( wp_unslash( $_POST['_mas'] ));
		} else {
	        $mahasiswa['_mas'] = sanitize_text_field( wp_unslash( $_POST['_mas'] ));
		}
		if ( ! isset( $_POST['_nisn'] ) ) {
	    	$mahasiswa['_nisn'] = sanitize_text_field( wp_unslash( $_POST['_nisn'] ));
		} else  {
	    	$mahasiswa['_nisn'] = sanitize_text_field( wp_unslash( $_POST['_nisn'] ));
		}
		if ( ! isset( $_POST['_sex'] ) ) {
	    	$mahasiswa['_sex'] = sanitize_text_field( wp_unslash( $_POST['_sex'] ));
		} else  {
	    	$mahasiswa['_sex'] = sanitize_text_field( wp_unslash( $_POST['_sex'] ));
		}
		if ( ! isset( $_POST['_tmpt'] ) ) {
	    	$mahasiswa['_tmpt'] = sanitize_text_field( wp_unslash( $_POST['_tmpt'] ));
		} else {
	    	$mahasiswa['_tmpt'] = sanitize_text_field( wp_unslash( $_POST['_tmpt'] ));
		}
		if ( ! isset( $_POST['_tgl'] ) ) {
	    	$mahasiswa['_tgl'] = sanitize_text_field( wp_unslash( $_POST['_tgl'] ));
		} else {
	    	$mahasiswa['_tgl'] = sanitize_text_field( wp_unslash( $_POST['_tgl'] ));
		}
		if ( ! isset( $_POST['_rel'] ) ) {
	    	$mahasiswa['_rel'] = sanitize_text_field( wp_unslash( $_POST['_rel'] ));
		} else {
	    	$mahasiswa['_rel'] = sanitize_text_field( wp_unslash( $_POST['_rel'] ));
		}
		if ( ! isset( $_POST['_add'] ) ) {
	    	$mahasiswa['_add'] = sanitize_text_field( wp_unslash( $_POST['_add'] ));
		} else  {
	    	$mahasiswa['_add'] = sanitize_text_field( wp_unslash( $_POST['_add'] ));
		}
		if ( ! isset( $_POST['_telp'] ) ) {
	    	$mahasiswa['_telp'] = sanitize_text_field( wp_unslash( $_POST['_telp'] ));
		} else  {
	    	$mahasiswa['_telp'] = sanitize_text_field( wp_unslash( $_POST['_telp']) );
		}
		if ( ! isset( $_POST['_mail'] ) ) {
	    	$mahasiswa['_mail'] = sanitize_text_field( wp_unslash( $_POST['_mail'] ));
		} else {
	    	$mahasiswa['_mail'] = sanitize_text_field( wp_unslash( $_POST['_mail'] ));
		}
		if ( ! isset( $_POST['_anak'] ) ) {
	    	$mahasiswa['_anak'] = sanitize_text_field( wp_unslash( $_POST['_anak'] ));
		} else  {
	    	$mahasiswa['_anak'] = sanitize_text_field( wp_unslash( $_POST['_anak'] ));
		}
		if ( ! isset( $_POST['_dari'] ) ) {
	    	$mahasiswa['_dari'] = sanitize_text_field( wp_unslash( $_POST['_dari'] ));
		} else {
	    	$mahasiswa['_dari'] = sanitize_text_field( wp_unslash( $_POST['_dari'] ));
		}
		if ( ! isset( $_POST['_ayah'] ) ) {
	    	$mahasiswa['_ayah'] = sanitize_text_field( wp_unslash( $_POST['_ayah'] ));
		} else {
			$mahasiswa['_ayah'] = sanitize_text_field( wp_unslash( $_POST['_ayah'] ));
		}
		if ( ! isset( $_POST['_ibu'] ) ) {
	    	$mahasiswa['_ibu'] = sanitize_text_field( wp_unslash( $_POST['_ibu'] ));
		} else {
	    	$mahasiswa['_ibu'] = sanitize_text_field( wp_unslash( $_POST['_ibu'] ));
		}
		
	    foreach ($mahasiswa as $key => $value) { 	        
		    if( $post->post_type == 'revision' ) return; 
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }
	}
	add_action('save_post', 'mhs_data_meta', 1, 2); 
	
	add_action( 'init', 'mhs_fakultas', 0 );
	function mhs_fakultas() {
	    $labels = array(
    	    'name'              => __( 'Fakultas / Semester', 'sekolah' ),
	        'singular_name'     => __( 'Fakultas / Semester', 'sekolah' ),
	        'search_items'      => __( 'Cari..', 'sekolah' ),
    	    'all_items'         => __( 'Semua Data', 'sekolah' ),
    	    'parent_item'       => null,
    	    'parent_item_colon' => null,
    	    'edit_item'         => __( 'Edit Data', 'sekolah' ),
    	    'update_item'       => __( 'Update Data', 'sekolah' ),
    	    'add_new_item'      => __( 'Tambah Baru', 'sekolah' ),
    	    'new_item_name'     => __( 'Tambah Data Baru', 'sekolah' ),
    	    'menu_name'         => __( 'Fakultas / Semester', 'sekolah' ),
	    );   
	  
	    register_taxonomy('fakultas',array('mahasiswa'), array(
	        'hierarchical'      => true,
	        'labels'            => $labels,
			'default_term'      => 'Ekonomi Sementer 4',
	        'show_ui'           => true,
	        'show_admin_column' => true,
	        'query_var'         => true,
	    	'show_in_rest'      => true,
	  ));
	}