<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'prestasi',		
	array(			
	    'menu_icon'       => 'dashicons-heart',
	    'labels'          => array(				
	    'name'                => _x( 'Prestasi', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Prestasi', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Prestasi?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Prestasi', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Prestasi', 'sekolah' ),	
	    'new_item'            => __( 'Item Prestasi', 'sekolah' ),	
	    'view'                => __( 'Lihat Prestasi', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Prestasi ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Prestasi di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),		
        'featured_image'      => __( 'Gambar Unggulan', 'sekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'press_tutorial', 1);
	 
	function press_tutorial() {
	    add_meta_box('presstutorial', 'Tutorial Pengelolaan Pos Prestasi', 'presstutorial', 'prestasi', 'normal', 'default');
	}

	function presstutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-prestasi/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	
	add_action('admin_init', 'pres', 1);
	function pres() {
	    add_meta_box('sch_pres', 'Peraih Prestasi', 'sch_pres', 'prestasi', 'normal', 'default');
	}
	function sch_pres() {
	    global $post;
	    echo '<input type="hidden" name="sekolah_noncename" id="sekolah_noncename" value="' .esc_attr(
	    wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
	    $peraih = get_post_meta($post->ID, '_peraih', true);
		?>
		
		<div class="sekolah_metabox">
		
			<label><?php esc_html_e(' Tuliskan nama atau grup yang mewakili, misalkan : <strong>Moh. Haryanto</strong> atau <strong>Team Basket</strong>','sekolah' ); ?></label>
	        <input type="text" name="_peraih" value="<?php echo esc_attr( $peraih ); ?>" class="widefat" />
		
		</div>
		
	<?php }
	function pres_meta($post_id, $post) {
	    if ( ! isset( $_POST['sekolah_noncename'] ) || !wp_verify_nonce( sanitize_text_field(wp_unslash($_POST['sekolah_noncename'])), plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }
	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
			
		if ( ! isset( $_POST['_peraih'] ) ) {
	        $events_meta['_peraih'] = sanitize_text_field( wp_unslash($_POST['_peraih'] ));
		} else {
			$events_meta['_peraih'] = sanitize_text_field( wp_unslash($_POST['_peraih'] ));
		}
		
		
	    foreach ($events_meta as $key => $value) {         
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key);
	    }
	}
	add_action('save_post', 'pres_meta', 1, 2); 