<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'santri',		
	array(			
	    'menu_icon' => 'dashicons-buddicons-buddyakademi-logo',
	    'labels'          => array(				
	    'name'                => _x( 'Santri', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Santri', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Santri?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Santri', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Santri', 'sekolah' ),	
	    'new_item'            => __( 'Item Baru', 'sekolah' ),	
	    'view'                => __( 'Lihat Santri', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Santri ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Santri di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),
        'featured_image'      => __( 'Pas Photo 300 x 400', 'sekolah' ),		
	    ),		                	
	    	'public'               => true,           					            
	    	'has_archive'          => true,        			            
	    	'supports'             => array( 'title', 'thumbnail', 'editor'),        			            
	    	'exclude_from_search'  => false, 	 
	    	'show_in_rest'         => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'santri_tutorial', 1);
	 
	function santri_tutorial() {
	    add_meta_box('santritutorial', 'Tutorial Pengelolaan Pos Santri', 'santritutorial', 'santri', 'normal', 'default');
	}

	function santritutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-siswa/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	
	add_action('admin_init', 'san_meta', 1);
	function san_meta() {
	    add_meta_box('san_data', 'Diodata Santri', 'san_data', 'santri', 'normal', 'default');
	}
	function san_data() {
	    global $post;
	    echo '<input type="hidden" name="santri_noncename" id="santri_noncename" value="' .esc_attr(
	    wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
	    $mas = get_post_meta($post->ID, '_mas', true);
		$nisn = get_post_meta($post->ID, '_nisn', true);
	    $sex = get_post_meta($post->ID, '_sex', true);
		$tmpt = get_post_meta($post->ID, '_tmpt', true);
		$tgl = get_post_meta($post->ID, '_tgl', true);
		$rel = get_post_meta($post->ID, '_rel', true);
		$add = get_post_meta($post->ID, '_add', true);
		$telp = get_post_meta($post->ID, '_telp', true);
		$mail = get_post_meta($post->ID, '_mail', true);
		$anak = get_post_meta($post->ID, '_anak', true);
		$dari = get_post_meta($post->ID, '_dari', true);
		$ayah = get_post_meta($post->ID, '_ayah', true);
		$ibu = get_post_meta($post->ID, '_ibu', true);
		$almt = get_post_meta($post->ID, '_almt', true);
		
		?>
		
		<div class="sekolah_metabox">
		
		    <label><?php esc_html_e( 'Mulai masuk pesantren', 'sekolah' ); ?></label>
	        <input type="date" name="_mas" value="<?php echo esc_attr( $mas ); ?>" class="widefat" />
		
		    <label><?php esc_html_e( 'NISN', 'sekolah' ); ?></label>
	        <input type="text" name="_nisn" value="<?php echo esc_attr( $nisn ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Jenis Kelamin', 'sekolah' ); ?></label>
	        <input type="text" name="_sex" value="<?php echo esc_attr( $sex ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Tempat Lahir', 'sekolah' ); ?></label>
	        <input type="text" name="_tmpt" value="<?php echo esc_attr( $tmpt ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Tanggal Lahir', 'sekolah' ); ?></label>
	        <input type="date" name="_tgl" value="<?php echo esc_attr( $tgl ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Agama', 'sekolah' ); ?></label>
	        <input type="text" name="_rel" value="<?php echo esc_attr( $rel ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Alamat', 'sekolah' ); ?></label>
	        <input type="text" name="_add" value="<?php echo esc_attr( $add ); ?>" class="widefat" />
		
			<label><?php esc_html_e( 'Telpon', 'sekolah' ); ?></label>
	        <input type="text" name="_telp" value="<?php echo esc_attr( $telp ); ?>" class="widefat" />
			
			<label><?php esc_html_e( 'Email', 'sekolah' ); ?></label>
	        <input type="text" name="_mail" value="<?php echo esc_attr( $mail ); ?>" class="widefat" />
			
			<div class="clear">
			    <div class="family">
				    <div class="infam">
			            <label><?php esc_html_e( 'Anak ke', 'sekolah' ); ?></label>
	                    <input type="text" name="_anak" value="<?php echo esc_attr( $anak ); ?>" class="widefat" />
					</div>
				</div>
				<div class="family">
					<div class="infam">
			            <label><?php esc_html_e( 'dari berapa bersaudara?', 'sekolah' ); ?></label>
	                    <input type="text" name="_dari" value="<?php echo esc_attr( $dari ); ?>" class="widefat" />
					</div>
				</div>
			</div>
			
			<div class="clear">
			    <div class="family">
				    <div class="infam">
			            <label><?php esc_html_e( 'Nama Ayah', 'sekolah' ); ?></label>
	                    <input type="text" name="_ayah" value="<?php echo esc_attr( $ayah ); ?>" class="widefat" />
					</div>
				</div>
				<div class="family">
					<div class="infam">
			            <label><?php esc_html_e( 'Nama Ibu', 'sekolah' ); ?></label>
	                    <input type="text" name="_ibu" value="<?php echo esc_attr( $ibu ); ?>" class="widefat" />
					</div>
				</div>
			</div>
		
		    <label><?php esc_html_e( 'Alamat Orang Tua', 'sekolah' ); ?></label>
	        <input type="date" name="_almt" value="<?php echo esc_attr( $almt ); ?>" class="widefat" />
			
		</div>
			
	<?php }
	
	function san_data_meta($post_id, $post) {
	    if ( !isset( $_POST['santri_noncename'] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['santri_noncename'] )), plugin_basename(__FILE__) )) {
            return $post->ID;
        }
	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		if ( ! isset( $_POST['_mas'] ) ) {
	        $santri['_mas'] = sanitize_text_field( wp_unslash( $_POST['_mas'] ));
		} else {
	        $santri['_mas'] = sanitize_text_field( wp_unslash( $_POST['_mas'] ));
		}
		if ( ! isset( $_POST['_nisn'] ) ) {
	        $santri['_nisn'] = sanitize_text_field( wp_unslash( $_POST['_nisn'] ));
		} else {
	        $santri['_nisn'] = sanitize_text_field( wp_unslash( $_POST['_nisn'] ));
		}
		if ( ! isset( $_POST['_sex'] ) ) {
	        $santri['_sex'] = sanitize_text_field( wp_unslash( $_POST['_sex'] ));
		} else {
	        $santri['_sex'] = sanitize_text_field( wp_unslash( $_POST['_sex'] ));
		}
		if ( ! isset( $_POST['_tmpt'] ) ) {
	        $santri['_tmpt'] = sanitize_text_field( wp_unslash( $_POST['_tmpt'] ));
		} else {
	        $santri['_tmpt'] = sanitize_text_field( wp_unslash( $_POST['_tmpt'] ));
		}
		if ( ! isset( $_POST['_tgl'] ) ) {
	        $santri['_tgl'] = sanitize_text_field( wp_unslash( $_POST['_tgl'] ));
		} else {
	        $santri['_tgl'] = sanitize_text_field( wp_unslash( $_POST['_tgl'] ));
		}
		if ( ! isset( $_POST['_rel'] ) ) {
	        $santri['_rel'] = sanitize_text_field( wp_unslash( $_POST['_rel'] ));
		} else {
	        $santri['_rel'] = sanitize_text_field( wp_unslash( $_POST['_rel'] ));
		}
		if ( ! isset( $_POST['_add'] ) ) {
	        $santri['_add'] = sanitize_text_field( wp_unslash( $_POST['_add'] ));
		} else {
	        $santri['_add'] = sanitize_text_field( wp_unslash( $_POST['_add'] ));
		}
		if ( ! isset( $_POST['_telp'] ) ) {
	        $santri['_telp'] = sanitize_text_field( wp_unslash( $_POST['_telp'] ));
		} else {
	        $santri['_telp'] = sanitize_text_field( wp_unslash( $_POST['_telp'] ));
		}
		if ( ! isset( $_POST['_mail'] ) ) {
	        $santri['_mail'] = sanitize_text_field( wp_unslash( $_POST['_mail'] ));
		} else {
	        $santri['_mail'] = sanitize_text_field( wp_unslash( $_POST['_mail'] ));
		}
		if ( ! isset( $_POST['_anak'] ) ) {
	        $santri['_anak'] = sanitize_text_field( wp_unslash( $_POST['_anak'] ));
		} else {
	        $santri['_anak'] = sanitize_text_field( wp_unslash( $_POST['_anak'] ));
		}
		if ( ! isset( $_POST['_dari'] ) ) {
	        $santri['_dari'] = sanitize_text_field( wp_unslash( $_POST['_dari'] ));
		} else {
	        $santri['_dari'] = sanitize_text_field( wp_unslash( $_POST['_dari'] ));
		}
		if ( ! isset( $_POST['_ayah'] ) ) {
	        $santri['_ayah'] = sanitize_text_field( wp_unslash( $_POST['_ayah'] ));
		} else {
	        $santri['_ayah'] = sanitize_text_field( wp_unslash( $_POST['_ayah'] ));
		}
		if ( ! isset( $_POST['_ibu'] ) ) {
	        $santri['_ibu'] = sanitize_text_field( wp_unslash( $_POST['_ibu'] ));
		} else {
	        $santri['_ibu'] = sanitize_text_field( wp_unslash( $_POST['_ibu'] ));
		}
		
		
	    foreach ($santri as $key => $value) { 	        
		    if( $post->post_type == 'revision' ) return; 
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }
	}
	add_action('save_post', 'san_data_meta', 1, 2); 