<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'siswa',		
	array(			
	    'menu_icon' => 'dashicons-buddicons-buddyakademi-logo',
	    'labels'          => array(				
	    'name'                => __( 'Siswa' ),				
	    'singular_name'       => __( 'Siswa' ),        
	    'add_new'             => __( 'Tambah Siswa?' ),	
	    'add_new_item'        => __( 'Tambah Siswa' ),	
	    'edit'                => __( 'Edit' ),	 
	    'edit_item'           => __( 'Edit Siswa' ),	
	    'new_item'            => __( 'Item Baru' ),	
	    'view'                => __( 'Lihat Siswa' ),	
	    'view_item'           => __( 'Lihat Item' ),	
	    'search_items'        => __( 'Cari Item' ),	
	    'not_found'           => __( 'Tidak ada Siswa ditemukan' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Siswa di folder Trash' ),	
	    'parent'              => __( 'Parent Super Duper' ),
        'featured_image'      => __( 'Pas Photo 300 x 400' ),		
	    ),		                	
	    	'public'               => true,           					            
	    	'has_archive'          => true,        			            
	    	'supports'             => array( 'title', 'thumbnail', 'editor'),        			            
	    	'exclude_from_search'  => false, 	 
	    	'show_in_rest'         => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'siswa_tutorial', 1);
	 
	function siswa_tutorial() {
	    add_meta_box('siswatutorial', 'Tutorial Pengelolaan Pos Siswa', 'siswatutorial', 'siswa', 'normal', 'default');
	}

	function siswatutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-siswa/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	
	add_action('admin_init', 'sis_meta', 1);
	function sis_meta() {
	    add_meta_box('sis_data', 'Diodata Siswa', 'sis_data', 'siswa', 'normal', 'default');
	}
	function sis_data() {
	    global $post;
	    echo '<input type="hidden" name="siswa_noncename" id="siswa_noncename" value="' .esc_attr(
	    wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
	    $mas = get_post_meta($post->ID, '_mas', true);
		$nisn = get_post_meta($post->ID, '_nisn', true);
	    $sex = get_post_meta($post->ID, '_sex', true);
		$tmpt = get_post_meta($post->ID, '_tmpt', true);
		$tgl = get_post_meta($post->ID, '_tgl', true);
		$rel = get_post_meta($post->ID, '_rel', true);
		$add = get_post_meta($post->ID, '_add', true);
		$telp = get_post_meta($post->ID, '_telp', true);
		$mail = get_post_meta($post->ID, '_mail', true);
		$anak = get_post_meta($post->ID, '_anak', true);
		$dari = get_post_meta($post->ID, '_dari', true);
		$ayah = get_post_meta($post->ID, '_ayah', true);
		$ibu = get_post_meta($post->ID, '_ibu', true);
		$almt = get_post_meta($post->ID, '_almt', true);
		
		?>
		
		<div class="sekolah_metabox">
		
		    <label><?php echo __( 'Mulai masuk sekolah', 'sekolah' ); ?></label>
	        <input type="date" name="_mas" value="<?php echo esc_attr( $mas ); ?>" class="widefat" />
		
		    <label><?php echo __( 'NISN', 'sekolah' ); ?></label>
	        <input type="text" name="_nisn" value="<?php echo esc_attr( $nisn ); ?>" class="widefat" />
			
			<label><?php echo __( 'Jenis Kelamin', 'sekolah' ); ?></label>
	        <input type="text" name="_sex" value="<?php echo esc_attr( $sex ); ?>" class="widefat" />
			
			<label><?php echo __( 'Tempat Lahir', 'sekolah' ); ?></label>
	        <input type="text" name="_tmpt" value="<?php echo esc_attr( $tmpt ); ?>" class="widefat" />
			
			<label><?php echo __( 'Tanggal Lahir', 'sekolah' ); ?></label>
	        <input type="date" name="_tgl" value="<?php echo esc_attr( $tgl ); ?>" class="widefat" />
			
			<label><?php echo __( 'Agama', 'sekolah' ); ?></label>
	        <input type="text" name="_rel" value="<?php echo esc_attr( $rel ); ?>" class="widefat" />
			
			<label><?php echo __( 'Alamat', 'sekolah' ); ?></label>
	        <input type="text" name="_add" value="<?php echo esc_attr( $add ); ?>" class="widefat" />
		
			<label><?php echo __( 'Telpon', 'sekolah' ); ?></label>
	        <input type="text" name="_telp" value="<?php echo esc_attr( $telp ); ?>" class="widefat" />
			
			<label><?php echo __( 'Email', 'sekolah' ); ?></label>
	        <input type="text" name="_mail" value="<?php echo esc_attr( $mail ); ?>" class="widefat" />
			
			<div class="clear">
			    <div class="family">
				    <div class="infam">
			            <label><?php echo __( 'Anak ke', 'sekolah' ); ?></label>
	                    <input type="text" name="_anak" value="<?php echo esc_attr( $anak ); ?>" class="widefat" />
					</div>
				</div>
				<div class="family">
					<div class="infam">
			            <label><?php echo __( 'dari berapa bersaudara?', 'sekolah' ); ?></label>
	                    <input type="text" name="_dari" value="<?php echo esc_attr( $dari ); ?>" class="widefat" />
					</div>
				</div>
			</div>
			
			<div class="clear">
			    <div class="family">
				    <div class="infam">
			            <label><?php echo __( 'Nama Ayah', 'sekolah' ); ?></label>
	                    <input type="text" name="_ayah" value="<?php echo esc_attr( $ayah ); ?>" class="widefat" />
					</div>
				</div>
				<div class="family">
					<div class="infam">
			            <label><?php echo __( 'Nama Ibu', 'sekolah' ); ?></label>
	                    <input type="text" name="_ibu" value="<?php echo esc_attr( $ibu ); ?>" class="widefat" />
					</div>
				</div>
			</div>
		
		    <label><?php echo __( 'Alamat Orang Tua', 'sekolah' ); ?></label>
	        <input type="date" name="_almt" value="<?php echo esc_attr( $almt ); ?>" class="widefat" />
			
		</div>
			
	<?php }
	
	function sis_data_meta($post_id, $post) {
	    if ( !isset( $_POST['siswa_noncename'] ) || !wp_verify_nonce( $_POST['siswa_noncename'], plugin_basename(__FILE__) )) {
            return $post->ID;
        }
	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
	    $santri['_mas'] = sanitize_text_field( $_POST['_mas'] );
		$santri['_nisn'] = sanitize_text_field( $_POST['_nisn'] );
		$santri['_sex'] = sanitize_text_field( $_POST['_sex'] );
		$santri['_tmpt'] = sanitize_text_field( $_POST['_tmpt'] );
		$santri['_tgl'] = sanitize_text_field( $_POST['_tgl'] );
		$santri['_rel'] = sanitize_text_field( $_POST['_rel'] );
		$santri['_add'] = sanitize_text_field( $_POST['_add'] );
		$santri['_telp'] = sanitize_text_field( $_POST['_telp'] );
		$santri['_mail'] = sanitize_text_field( $_POST['_mail'] );
		$santri['_anak'] = sanitize_text_field( $_POST['_anak'] );
		$santri['_dari'] = sanitize_text_field( $_POST['_dari'] );
		$santri['_ayah'] = sanitize_text_field( $_POST['_ayah'] );
		$santri['_ibu'] = sanitize_text_field( $_POST['_ibu'] );
		
	    foreach ($santri as $key => $value) { 	        
		    if( $post->post_type == 'revision' ) return; 
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }
	}
	add_action('save_post', 'sis_data_meta', 1, 2); 
	
?>