<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
    if ( get_theme_mod('slide_width') != "" ) {
		$swidth = get_theme_mod('slide_width');
	} else {
		$swidth = 1200;
	}
	if ( get_theme_mod('slide_height') != "" ) {
		$sheight = get_theme_mod('slide_height');
	} else {
		$sheight = 700;
	}
	register_post_type( 'slider',		
	array(			
	    'menu_icon'       => 'dashicons-images-alt2',
		'labels'          => array(				
	    'name'                => __( 'Slide Gambar' ),				
	    'singular_name'       => __( 'Slide Gambar' ),        
	    'add_new'             => __( 'Tambah Slide?' ),	
	    'add_new_item'        => __( 'Tambah Slide' ),	
	    'edit'                => __( 'Edit' ),	 
	    'edit_item'           => __( 'Edit Slide' ),	
	    'new_item'            => __( 'Item Slide' ),	
	    'view'                => __( 'Lihat Slide' ),	
	    'view_item'           => __( 'Lihat Item' ),	
	    'search_items'        => __( 'Cari Item' ),	
	    'not_found'           => __( 'Tidak ada Slide ditemukan' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Slide di folder Trash' ),	
	    'parent'              => __( 'Parent Super Duper' ),		
        'featured_image'      => __( 'Gambar '.$swidth.' x '.$sheight.'', 'wpsekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'slide_tutorial', 1);
	
	function slide_tutorial() {
	    add_meta_box('slidetutorial', 'Tutorial Pengelolaan Pos Slide', 'slidetutorial', 'slider', 'normal', 'default');
	}

	function slidetutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-slide/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	
	// Link Slider Metabox
    add_action('admin_init', 'slider_link', 1);
	
	function slider_link() {
	    add_meta_box('extlink', 'Link Eksternal', 'extlink', 'slider', 'normal', 'default');
	}
	function extlink() {
	    global $post;
	    echo '<input type="hidden" name="slide_noncename" id="slide_noncename" value="' .esc_attr(
	    wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
	    $extlink = get_post_meta($post->ID, '_extlink', true);
		?>
		
		<div class="sekolah_metabox">
		    
			<label><?php echo __( 'Masukan tautan / link jika ingin slider mengarah pada halaman tertentu', 'sekolah' ); ?></label>
			<input type="text" name="_extlink" value="<?php echo esc_attr( $extlink ); ?>" class="widefat" />
			
		</div>
		
	<?php }
	function sliderlink_meta($post_id, $post) {
	    if ( ! isset( $_POST['slide_noncename'] ) || !wp_verify_nonce( $_POST['slide_noncename'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }
	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		
		$events_meta['_extlink'] = sanitize_text_field( $_POST['_extlink'] );
	    foreach ($events_meta as $key => $value) {      
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }
	}
	add_action('save_post', 'sliderlink_meta', 1, 2); 
?>