<?php
function sekolah_color_scheme_css() {
	$color_scheme_option = get_theme_mod( 'color_scheme', 'default' );
	
	$color_scheme = sekolah_get_color_scheme();
	// Convert main and sidebar text hex color to rgba.
	$colors                      = array(
		'background_color'           => $color_scheme[0], // sekolah body background
		'sekolah_color1'               => $color_scheme[1], // sekolah wrapper background
		'sekolah_color2'               => $color_scheme[2], // sekolah text global color
		'sekolah_color3'               => $color_scheme[3], // sekolah link global color 
		'sekolah_color4'               => $color_scheme[4], // sekolah menu background
		'sekolah_color5'               => $color_scheme[5], // sekolah menu aksen color
		'sekolah_color6'               => $color_scheme[6], // sekolah menu link color
		'sekolah_color7'               => $color_scheme[7], // sekolah running bg
		'sekolah_color8'               => $color_scheme[8], // sekolah running color
		'sekolah_color9'               => $color_scheme[9], // sekolah header bg color
		'sekolah_color10'              => $color_scheme[10], // sekolah header text color
		'sekolah_color11'              => $color_scheme[11], // sekolah header link color
		'sekolah_color12'              => $color_scheme[12], // sekolah header sosial bg
		'sekolah_color13'              => $color_scheme[13], // sekolah header sosial color
		'sekolah_color14'              => $color_scheme[14], // sekolah bg nama sekolah
		'sekolah_color15'              => $color_scheme[15], // sekolah nama sekolah
		'sekolah_color16'              => $color_scheme[16], // sekolah editorial bg
		'sekolah_color17'              => $color_scheme[17], // sekolah editorial color
		'sekolah_color18'              => $color_scheme[18], // sekolah editorial link
		'sekolah_color19'              => $color_scheme[19], // sekolah home quotes bg
		'sekolah_color20'              => $color_scheme[20], // sekolah home quotes color
		'sekolah_color21'              => $color_scheme[21], // sekolah home slider gtk bg
		'sekolah_color22'              => $color_scheme[22], // sekolah home slider gtk color
		'sekolah_color23'              => $color_scheme[23], // sekolah peng agenda blog bg
		'sekolah_color24'              => $color_scheme[24], // sekolah peng agenda blog color
		'sekolah_color25'              => $color_scheme[25], // sekolah peng agenda blog link
		'sekolah_color26'              => $color_scheme[26], // sekolah ekskul home bg
		'sekolah_color27'              => $color_scheme[27], // sekolah ekskul home color
		'sekolah_color28'              => $color_scheme[28], // sekolah ekskul home link
		'sekolah_color29'              => $color_scheme[29], // sekolah video home bg
		'sekolah_color30'              => $color_scheme[30], // sekolah video home color
		'sekolah_color31'              => $color_scheme[31], // sekolah widget footer bg
		'sekolah_color32'              => $color_scheme[32], // sekolah widget footer color
		'sekolah_color33'              => $color_scheme[33], // sekolah widget footer link
		'sekolah_color34'              => $color_scheme[34], // sekolah footer bg color
		'sekolah_color35'              => $color_scheme[35], // sekolah footer text color
		'sekolah_color36'              => $color_scheme[36], // sekolah footer link color
	);
	$color_scheme_css = sekolah_get_color_scheme_css( $colors );
	wp_add_inline_style( 'sekolah-style', $color_scheme_css );
}
add_action( 'wp_enqueue_scripts', 'sekolah_color_scheme_css' );
function sekolah_customize_control_js() {
	wp_enqueue_script( 'color-scheme-control', get_template_directory_uri() . '/javascript/color-scheme-control.js', array( 'customize-controls', 'iris', 'underscore', 'wp-util' ), '20141216', true );
	wp_localize_script( 'color-scheme-control', 'colorScheme', sekolah_get_color_schemes() );
}
add_action( 'customize_controls_enqueue_scripts', 'sekolah_customize_control_js' );
function sekolah_customize_preview_js() {
	wp_enqueue_script( 'sekolah-customize-preview', get_template_directory_uri() . '/javascript/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'sekolah_customize_preview_js' );