<?php
function sekolah_theme_color1_css() {
	$color_scheme          = sekolah_get_color_scheme();
	$default_color         = $color_scheme[1];
	$sekolah_color1 = get_theme_mod( 'sekolah_color1', $default_color );
	if ( $sekolah_color1 === $default_color ) {
		return;
	}
	$css = '
	.wpsekolah {
		background: %1$s;
	}
	.share .fa,
	.form-submit .submit,
	.post-category a,
	.age_expired,
	.age_active,
	.re_kepsek,
	.head_name,
	.to_top {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color1 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color1_css', 11 );
function sekolah_theme_color2_css() {
	$color_scheme  = sekolah_get_color_scheme();
	$default_color = $color_scheme[2];
	$sekolah_color2  = get_theme_mod( 'sekolah_color2', $default_color );
	if ( $sekolah_color2 === $default_color ) {
		return;
	}
	$css = '
	body,
	.sidebar .re_kepsek,
	.sidebar .head_name,
	.sidebar .nama_sekolah {
		color: %1$s;
	}
	.share .fa.fa-share-alt,
	.form-submit .submit,
	.post-category a,
	.age_expired {
		background: %1$s;
	}
	.pagination a {
		border: 1px solid %1$s;
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color2 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color2_css', 11 );
function sekolah_theme_color3_css() {
	$color_scheme    = sekolah_get_color_scheme();
	$default_color   = $color_scheme[3];
	$sekolah_color3 = get_theme_mod( 'sekolah_color3', $default_color );
	if ( $sekolah_color3 === $default_color ) {
		return;
	}
	$css = '
	a {
		color: %1$s;
	}
	.share .fa,
	.age_active,
	.to_top {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color3) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color3_css', 11 );
function sekolah_theme_color4_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[4];
	$sekolah_color4 = get_theme_mod( 'sekolah_color4', $default_color );
	if ( $sekolah_color4 === $default_color ) {
		return;
	}
	$css = '
	.header,
	.navigasi .sch.desktop li ul,
	.navigasi {
		background: %1$s;
	}
	.ps_input input {
		border-right: 1px solid %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color4 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color4_css', 11 );
function sekolah_theme_color5_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[5];
	$sekolah_color5 = get_theme_mod( 'sekolah_color5', $default_color );
	if ( $sekolah_color5 === $default_color ) {
		return;
	}
	$css = '
	.ps_button button,
	.menu-icon {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color5 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color5_css', 11 );
function sekolah_theme_color6_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[6];
	$sekolah_color6 = get_theme_mod( 'sekolah_color6', $default_color );
	if ( $sekolah_color6 === $default_color ) {
		return;
	}
	$css = '
	.navigasi .sch.desktop li.menu-item-has-children:after,
	.navigasi .sch.desktop li a,
	.navigasi .sch.desktop li ul a,
	.navigasi .sch.desktop li ul li.menu-item-has-children:after,
	.navigasi .sch.accord li a,
	.navigasi .sch.accord li.menu-item-has-children:after,
	.ps_button button,
	.menu-icon {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color6 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color6_css', 11 );
function sekolah_theme_color7_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[7];
	$sekolah_color7 = get_theme_mod( 'sekolah_color7', $default_color );
	if ( $sekolah_color7 === $default_color ) {
		return;
	}
	$css = '
	.run-text,
	.this-day {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color7 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color7_css', 11 );
function sekolah_theme_color8_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[8];
	$sekolah_color8 = get_theme_mod( 'sekolah_color8', $default_color );
	if ( $sekolah_color8 === $default_color ) {
		return;
	}
	$css = '
	.run-text,
	.this-day {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color8 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color8_css', 11 );
function sekolah_theme_color9_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[9];
	$sekolah_color9 = get_theme_mod( 'sekolah_color9', $default_color );
	if ( $sekolah_color9 === $default_color ) {
		return;
	}
	$css = '
	#schoolnews {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color9 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color9_css', 11 );
function sekolah_theme_color10_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[10];
	$sekolah_color10 = get_theme_mod( 'sekolah_color10', $default_color );
	if ( $sekolah_color10 === $default_color ) {
		return;
	}
	$css = '
	#schoolnews {
		color: %1$s;
	}
	.sekolah_sosial {
		border-left: 1px solid %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color10 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color10_css', 11 );
function sekolah_theme_color11_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[11];
	$sekolah_color11 = get_theme_mod( 'sekolah_color11', $default_color );
	if ( $sekolah_color11 === $default_color ) {
		return;
	}
	$css = '
	#schoolnews a {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color11 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color11_css', 11 );
function sekolah_theme_color12_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[12];
	$sekolah_color12 = get_theme_mod( 'sekolah_color12', $default_color );
	if ( $sekolah_color12 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_sosial .fa {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color12 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color12_css', 11 );
function sekolah_theme_color13_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[13];
	$sekolah_color13 = get_theme_mod( 'sekolah_color13', $default_color );
	if ( $sekolah_color13 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_sosial .fa {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color13 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color13_css', 11 );
function sekolah_theme_color14_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[14];
	$sekolah_color14 = get_theme_mod( 'sekolah_color14', $default_color );
	if ( $sekolah_color14 === $default_color ) {
		return;
	}
	$css = '
	.sch-infosekolah {
    	background: %1$s;
    }
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color14 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color14_css', 11 );
function sekolah_theme_color15_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[15];
	$sekolah_color15 = get_theme_mod( 'sekolah_color15', $default_color );
	if ( $sekolah_color15 === $default_color ) {
		return;
	}
	$css = '
	.sch-infosekolah,
	.nama_sekolah {
    	color: %1$s;
    }
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color15 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color15_css', 11 );
function sekolah_theme_color16_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[16];
	$sekolah_color16 = get_theme_mod( 'sekolah_color16', $default_color );
	if ( $sekolah_color16 === $default_color ) {
		return;
	}
	$css = '
	.news_editorial {
		background: %1$s;
	}
	.news_editorial .editor-all a {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color16 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color16_css', 11 );
function sekolah_theme_color17_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[17];
	$sekolah_color17 = get_theme_mod( 'sekolah_color17', $default_color );
	if ( $sekolah_color17 === $default_color ) {
		return;
	}
	$css = '
	.news_editorial {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color17 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color17_css', 11 );
function sekolah_theme_color18_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[18];
	$sekolah_color18 = get_theme_mod( 'sekolah_color18', $default_color );
	if ( $sekolah_color18 === $default_color ) {
		return;
	}
	$css = '
	.news_editorial a {
		color: %1$s;
	}
	.news_editorial .editor-all a {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color18 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color18_css', 11 );
function sekolah_theme_color19_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[19];
	$sekolah_color19 = get_theme_mod( 'sekolah_color19', $default_color );
	if ( $sekolah_color19 === $default_color ) {
		return;
	}
	$css = '
	.home_quotes {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color19 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color19_css', 11 );
function sekolah_theme_color20_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[20];
	$sekolah_color20 = get_theme_mod( 'sekolah_color20', $default_color );
	if ( $sekolah_color20 === $default_color ) {
		return;
	}
	$css = '
    .home_quotes {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color20 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color20_css', 11 );
function sekolah_theme_color21_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[21];
	$sekolah_color21 = get_theme_mod( 'sekolah_color21', $default_color );
	if ( $sekolah_color21 === $default_color ) {
		return;
	}
	$css = '
	.guru_slider {
    	background: %1$s;
    }
	.person.owl-theme .owl-nav [class*="owl-"] {
         color: %1$s;
    }
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color21 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color21_css', 11 );
function sekolah_theme_color22_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[22];
	$sekolah_color22 = get_theme_mod( 'sekolah_color22', $default_color );
	if ( $sekolah_color22 === $default_color ) {
		return;
	}
	$css = '
	.guru_slider {
    	color: %1$s;
    }
	.person.owl-theme .owl-nav [class*="owl-"] {
        background: %1$s;
    }
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color22 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color22_css', 11 );
function sekolah_theme_color23_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[23];
	$sekolah_color23 = get_theme_mod( 'sekolah_color23', $default_color );
	if ( $sekolah_color23 === $default_color ) {
		return;
	}
	$css = '
	.three_block {
		background: %1$s;
	}
	.hari,
	.tahun,
	.bulan {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color23 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color23_css', 11 );
function sekolah_theme_color24_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[24];
	$sekolah_color24 = get_theme_mod( 'sekolah_color24', $default_color );
	if ( $sekolah_color24 === $default_color ) {
		return;
	}
	$css = '
	.three_block {
		color: %1$s;
	}
	.bulan {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color24 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color24_css', 11 );
function sekolah_theme_color25_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[25];
	$sekolah_color25 = get_theme_mod( 'sekolah_color25', $default_color );
	if ( $sekolah_color25 === $default_color ) {
		return;
	}
	$css = '
	.three_block a,
	.peng-box .news-inner span,
	.agenda-box .news-inner span,
	.blog-box .news-inner span {
		color: %1$s;
	}
	.hari,
	.tahun {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color25 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color25_css', 11 );
function sekolah_theme_color26_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[26];
	$sekolah_color26 = get_theme_mod( 'sekolah_color26', $default_color );
	if ( $sekolah_color26 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_galleria {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color26 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color26_css', 11 );
function sekolah_theme_color27_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[27];
	$sekolah_color27 = get_theme_mod( 'sekolah_color27', $default_color );
	if ( $sekolah_color27 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_galleria {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color27 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color27_css', 11 );
function sekolah_theme_color28_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[28];
	$sekolah_color28 = get_theme_mod( 'sekolah_color28', $default_color );
	if ( $sekolah_color28 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_galleria a {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color28 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color28_css', 11 );
function sekolah_theme_color29_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[29];
	$sekolah_color29 = get_theme_mod( 'sekolah_color29', $default_color );
	if ( $sekolah_color29 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_video {
    	background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color29 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color29_css', 11 );
function sekolah_theme_color30_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[30];
	$sekolah_color30 = get_theme_mod( 'sekolah_color30', $default_color );
	if ( $sekolah_color30 === $default_color ) {
		return;
	}
	$css = '
	.sekolah_video {
    	color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color30 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color30_css', 11 );
function sekolah_theme_color31_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[31];
	$sekolah_color31 = get_theme_mod( 'sekolah_color31', $default_color );
	if ( $sekolah_color31 === $default_color ) {
		return;
	}
	$css = '
	.sch-widget {
		background: %1$s;
	}
	.widget_block .wp-block-file .wp-block-file__button {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color31 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color31_css', 11 );
function sekolah_theme_color32_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[32];
	$sekolah_color32 = get_theme_mod( 'sekolah_color32', $default_color );
	if ( $sekolah_color32 === $default_color ) {
		return;
	}
	$css = '
	.sch-widget,
	.widget_block .wp-block-calendar table caption, 
    .widget_block .wp-block-calendar table tbody {
		color: %1$s;
	}
	.widget_block .wp-block-table td {
		border: 1px solid %1$s;
	}
	.widget_block .wp-block-search .wp-block-search__button {
		background: %1$s;
	}
	.widget_contact td {
		border: 1px solid %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color32 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color32_css', 11 );
function sekolah_theme_color33_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[33];
	$sekolah_color33 = get_theme_mod( 'sekolah_color33', $default_color );
	if ( $sekolah_color33 === $default_color ) {
		return;
	}
	$css = '
	.widget_block a {
		color: %1$s;
	}
	.widget_block .wp-block-file .wp-block-file__button {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color33 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color33_css', 11 );
function sekolah_theme_color34_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[34];
	$sekolah_color34 = get_theme_mod( 'sekolah_color34', $default_color );
	if ( $sekolah_color34 === $default_color ) {
		return;
	}
	$css = '
	.footer {
		background: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color34 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color34_css', 11 );
function sekolah_theme_color35_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[35];
	$sekolah_color35 = get_theme_mod( 'sekolah_color35', $default_color );
	if ( $sekolah_color35 === $default_color ) {
		return;
	}
	$css = '
	.footer {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color35 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color35_css', 11 );
function sekolah_theme_color36_css() {
	$color_scheme         = sekolah_get_color_scheme();
	$default_color        = $color_scheme[36];
	$sekolah_color36 = get_theme_mod( 'sekolah_color36', $default_color );
	if ( $sekolah_color36 === $default_color ) {
		return;
	}
	$css = '
	.footer a {
		color: %1$s;
	}
	';
	wp_add_inline_style( 'sekolah-style', sprintf( $css, $sekolah_color36 ) );
}
add_action( 'wp_enqueue_scripts', 'sekolah_theme_color36_css', 11 );