<?php
/**
 * Custom WP sekolah template tags
 * Fungsi pendukung tema WP sekolah
 */
// Head
if ( ! function_exists( 'preload_sekolah_font' ) ) :
    function preload_sekolah_font() {
        get_template_part('header/meta-preload');
	}
endif;
if ( ! function_exists( 'head_meta_sekolah' ) ) :
    function head_meta_sekolah() {
        get_template_part('header/meta');
	}
endif;
if ( ! function_exists( 'head_meta_desc_akademi' ) ) :
    function head_meta_desc_akademi() {
		if (is_front_page()) {
			bloginfo('description');
		} else if (is_singular()) {
			if (function_exists('smart_excerpt')) smart_excerpt(get_the_excerpt(), 60);
		} else {
			echo '';
		}
	}
endif;
// Logo
if ( ! function_exists( 'custom_logo_sekolah' ) ) :
    function custom_logo_sekolah() {
    	if ( function_exists( 'the_custom_logo' ) ) {
			    the_custom_logo();
	    }
    }
endif;
// Info Sekolah
// Sudah
function sekolah_customize_partial_namasekolah() {
	nama_sekolah();
}
if ( ! function_exists( 'nama_sekolah' ) ) :
	function nama_sekolah() {
		if ( get_theme_mod('nama_sekolah') != "" ) {
	    	echo get_theme_mod( 'nama_sekolah'); 
		} else {
			echo __('SMA Negeri 1 Comal - Pemalang', 'sekolah');
		}
	}
endif;
// Sudah
function sekolah_customize_partial_address() {
	alamat_sekolah();
}
if ( ! function_exists( 'alamat_sekolah' ) ) :
	function alamat_sekolah() {
		if ( get_theme_mod('address_data') != "" ) {
	        echo get_theme_mod( 'address_data'); 
		} else {
			echo __('Jln. Jend A Yani No. 77 Comal, Pemalang, Jawa Tengah');
		}
	}
endif;
// sudah
function sekolah_customize_partial_nspn() {
	sekolah_nspn();
}
if ( ! function_exists( 'sekolah_nspn' ) ) :
	function sekolah_nspn() {
		if ( get_theme_mod('nspn_data') != "" ) {
	        echo get_theme_mod( 'nspn_data'); 
		} else {
			echo __('20404xxx');
		}
	}
endif;
function sekolah_customize_partial_kepalasekolah() {
	nama_kepala_sekolah();
}
if ( ! function_exists( 'nama_kepala_sekolah' ) ) :
	function nama_kepala_sekolah() {
		if ( get_theme_mod('kepala_sekolah') != "" ) {
	    	echo get_theme_mod( 'kepala_sekolah'); 
		} else {
			echo __( 'Yayun Ciuss', 'sekolah' ); 
		}
	}
endif;
function sekolah_customize_partial_fotokepala() {
	foto_kepala_sekolah();
}
if ( ! function_exists( 'foto_kepala_sekolah' ) ) :
	function foto_kepala_sekolah() {
		if ( get_theme_mod('foto_kepala') != "" ) {
	    	echo '<img src="'.get_theme_mod( 'foto_kepala').'" />'; 
		} else {
			echo '<img src="'.get_theme_file_uri('gambar/master.jpg').'" />'; 
		}
	}
endif;
function sekolah_customize_partial_number() {
	sekolah_school_number();
}
if ( ! function_exists( 'sekolah_school_number' ) ) :
	function sekolah_school_number() {
		if ( get_theme_mod('telpon_data') != "" ) {
			$tel = get_theme_mod('telpon_data'); 
			$new_tel = preg_replace("/[^A-Za-z0-9?!]/",'',$tel);
	    	echo '<a target="_blank" href="tel:'. $new_tel .'">'. get_theme_mod( 'telpon_data' ) .'</a>';
		} else {
			echo '<a target="_blank" href="tel:000000000">'. __( '62 8000 xxx', 'sekolah' ) .'</a>';
		}
	}
endif;
function sekolah_customize_partial_mailing() {
	sekolah_school_email();
}
if ( ! function_exists( 'sekolah_school_email' ) ) :
	function sekolah_school_email() {
		if ( get_theme_mod('email_data') != "" ) {
	    	echo '<a target="_blank" href="mailto:'. get_theme_mod('email_data') .'">'. get_theme_mod('email_data') .'</a>';
		} else {
			echo '<a target="_blank" href="mailto:sekolah@sekolah.ciuss">sekolah@sekolah.ciuss</a>';
		}
	}
endif;	
function sekolah_customize_partial_email() {
	sekolah_social_icon();
}
function sekolah_customize_partial_wanumber() {
	sekolah_social_icon();
}
function sekolah_customize_partial_facebook() {
	sekolah_social_icon();
}
function sekolah_customize_partial_twitter() {
	sekolah_social_icon();
}
function sekolah_customize_partial_instagram() {
	sekolah_social_icon();
}
function sekolah_customize_partial_youtube() {
	sekolah_social_icon();
}
if ( ! function_exists( 'sekolah_social_icon' ) ) :
	function sekolah_social_icon() {
		if ( get_theme_mod('facebook_data') != "" ) {
	        echo '<a target="_blank" href="'. get_theme_mod( 'facebook_data' ) .'" target="_blank"><i class="fa fa-facebook"></i></a>';
	    }
		if ( get_theme_mod('twitter_data') != "" ) {
	        echo '<a target="_blank" href="'. get_theme_mod( 'twitter_data' ) .'" target="_blank"><i class="fa fa-twitter"></i></a>';
	    }
		if ( get_theme_mod('instagram_data') != "" ) {
	        echo '<a target="_blank" href="'. get_theme_mod( 'instagram_data' ) .'" target="_blank"><i class="fa fa-instagram"></i></a>';
	    }
		if ( get_theme_mod('youtube_data') != "" ) {
	        echo '<a target="_blank" href="'. get_theme_mod( 'youtube_data' ) .'" target="_blank"><i class="fa fa-youtube"></i></a>';
	    }
		if ( get_theme_mod('email_data') != "" ) {
	    	echo '<a target="_blank" href="mailto:'. get_theme_mod('email_data') .'"><i class="fa fa-envelope-o"></i></a>';
		}
		
		if ( get_theme_mod('chat_sekolah') != "" ) {
		     $wa_mess = get_theme_mod('chat_sekolah'); 
	    } else {
	        $wa_mess = 'Saya ingin bertanya seputar sekolah ini..'; 
	    }
		if ( get_theme_mod('wa_data') != "" ) {
			$was = get_theme_mod('wa_data'); 
			$new_was = preg_replace("/[^A-Za-z0-9?!]/",'',$was);
	    	echo '<a class="web_wa" target="_blank" href="'. esc_url( 'https://web.whatsapp.com/send?phone='. $new_was .'&text='. $wa_mess ).'"><i class="fa fa-whatsapp"></i></a>';
			echo '<a class="mob_wa" target="_blank" href="'. esc_url( 'https://api.whatsapp.com/send?phone='. $new_was .'&text='. $wa_mess ).'"><i class="fa fa-whatsapp"></i></a>';
		} else {
			echo '<a class="web_wa" target="_blank" href="'. esc_url( 'https://web.whatsapp.com/send?text='. $wa_mess ).'"><i class="fa fa-whatsapp"></i></a>';
			echo '<a class="mob_wa" target="_blank" href="'. esc_url( 'https://api.whatsapp.com/send?text='. $wa_mess ).'"><i class="fa fa-whatsapp"></i></a>';
		}
	}
endif;
// Text Berjalan
function sekolah_customize_partial_running() {
	call_running_text();
}
if ( ! function_exists( 'call_running_text' ) ) :
	function call_running_text() {
	    if ( get_theme_mod('running_text') != "" ) {
	        echo '<li>'. do_shortcode( get_theme_mod( 'running_text' ) ) .'</li>'; 
	    } else {
		    echo '<li>'. __( 'Tema WP Sekolah dapat menampilkan informasi dalam text berjalan', 'sekolah' ) .'</li>'; 
	    }
	}
endif;
/* Replace Text
------------------------------- */
function sekolah_customize_partial_reinfo() {
	sekolah_re_kepsek();
}
if ( ! function_exists( 'sekolah_re_kepsek' ) ) :
	function sekolah_re_kepsek() {
		if ( get_theme_mod('re_kepsek') != "" ) { 
		    echo get_theme_mod('re_kepsek');
		} else {
			echo __( 'Kepala Sekolah', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_editorial() {
	sekolah_re_editorial();
}
if ( ! function_exists( 'sekolah_re_editorial' ) ) :
	function sekolah_re_editorial() {
		if ( get_theme_mod('re_editorial') != "" ) { 
		    echo get_theme_mod('re_editorial');
		} else {
			echo __( 'Editorial Kepsek', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_editormore() {
	sekolah_re_editormore();
}
if ( ! function_exists( 'sekolah_re_editormore' ) ) :
	function sekolah_re_editormore() {
		if ( get_theme_mod('re_editormore') != "" ) { 
		    echo get_theme_mod('re_editormore');
		} else {
			echo __( 'Lihat Semua', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_renews() {
	sekolah_re_news();
}
if ( ! function_exists( 'sekolah_re_news' ) ) :
	function sekolah_re_news() {
		if ( get_theme_mod('re_news') != "" ) { 
		    echo get_theme_mod('re_news');
		} else {
			echo __( 'Berita Terbaru', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_requotes() {
	sekolah_re_quotes();
}
if ( ! function_exists( 'sekolah_re_quotes' ) ) :
	function sekolah_re_quotes() {
		if ( get_theme_mod('re_quotes') != "" ) { 
		    echo get_theme_mod('re_quotes');
		} else {
			echo __( 'Kata Bijak', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_regurus() {
	sekolah_re_gurus();
}
if ( ! function_exists( 'sekolah_re_gurus' ) ) :
	function sekolah_re_gurus() {
		if ( get_theme_mod('re_gurus') != "" ) { 
		    echo get_theme_mod('re_gurus');
		} else {
			echo __( 'Guru-Guru Keren', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_announ() {
	sekolah_re_peng();
}
if ( ! function_exists( 'sekolah_re_peng' ) ) :
	function sekolah_re_peng() {
		if ( get_theme_mod('re_pengumuman') != "" ) { 
		    echo get_theme_mod('re_pengumuman');
		} else {
			echo __( 'Pengumuman', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_reagenda() {
	sekolah_re_agenda();
}
if ( ! function_exists( 'sekolah_re_agenda' ) ) :
	function sekolah_re_agenda() {
		if ( get_theme_mod('re_agenda') != "" ) { 
		    echo get_theme_mod('re_agenda');
		} else {
			echo __( 'Agenda Terbaru', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_reblog() {
	sekolah_re_blog();
}
if ( ! function_exists( 'sekolah_re_blog' ) ) :
	function sekolah_re_blog() {
		if ( get_theme_mod('re_blog') != "" ) { 
		    echo get_theme_mod('re_blog');
		} else {
			echo __( 'Blog Guru', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_rekegiatan() {
	sekolah_re_kegiatan();
}
if ( ! function_exists( 'sekolah_re_kegiatan' ) ) :
	function sekolah_re_kegiatan() {
		if ( get_theme_mod('re_kegiatan') != "" ) { 
		    echo get_theme_mod('re_kegiatan');
		} else {
			echo __( 'Kegiatan', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_refasilitas() {
	sekolah_re_fasilitas();
}
if ( ! function_exists( 'sekolah_re_fasilitas' ) ) :
	function sekolah_re_fasilitas() {
		if ( get_theme_mod('re_fasilitas') != "" ) { 
		    echo get_theme_mod('re_fasilitas');
		} else {
			echo __( 'Fasilitas', 'sekolah' );
		}
	}
endif;	
function sekolah_customize_partial_re_galeri() {
	sekolah_re_galeri();
}
if ( ! function_exists( 'sekolah_re_galeri' ) ) :
	function sekolah_re_galeri() {
		if ( get_theme_mod('re_galeri') != "" ) { 
		    echo get_theme_mod('re_galeri');
		} else {
			echo __( 'Galeri', 'sekolah' );
		}
	}
endif;	
function sekolah_customize_partial_re_video() {
	sekolah_re_video();
}
if ( ! function_exists( 'sekolah_re_video' ) ) :
	function sekolah_re_video() {
		if ( get_theme_mod('re_video') != "" ) { 
		    echo get_theme_mod('re_video');
		} else {
			echo __( 'Video', 'sekolah' );
		}
	}
endif;
// Sudah
if ( ! function_exists( 'sekolah_home_slider' ) ) :
    function sekolah_home_slider() {
		if (is_front_page()) {  
	        get_template_part('header/slider');
		}
	}
endif;
// Sudah
if ( ! function_exists( 'slide_time_out' ) ) :
    function slide_time_out() {
		$permile = 1000;
		$perslide = get_theme_mod('slide_timer');
		$time_out_slide = $permile * $perslide;
		if ( get_theme_mod('slide_timer') != "" ) {
	    	echo $time_out_slide; 
		} else {
			echo 6000;
		}
	}
endif;
		
if ( ! function_exists( 're_search_download' ) ) :
	function re_search_download() {
		if ( get_theme_mod('re_sedown') != "" ) {
	    	echo html_entity_decode(get_theme_mod( 're_sedown' )); 
		} else {
		    echo __('Hasil pencarian akan muncul disini', 'sekolah');	
		}
	}
endif;
function sekolah_customize_partial_represtasi() {
	sekolah_re_prestasi();
}
if ( ! function_exists( 'sekolah_re_prestasi' ) ) :
	function sekolah_re_prestasi() {
		if ( get_theme_mod('re_prestasi') != "" ) { 
		    echo get_theme_mod('re_prestasi');
		} else {
			echo __( 'Prestasi', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_headnot() {
	sekolah_head_not_found();
}
if ( ! function_exists( 'sekolah_head_not_found' ) ) :
	function sekolah_head_not_found() {
		if ( get_theme_mod('re_head') != "" ) { 
		    echo get_theme_mod('re_head');
		} else {
			echo __( '404, Halaman tidak ditemukan', 'sekolah' );
		}
	}
endif;
function sekolah_customize_partial_textnot() {
	sekolah_text_not_found();
}
if ( ! function_exists( 'sekolah_text_not_found' ) ) :
	function sekolah_text_not_found() {
		if ( get_theme_mod('re_text') != "" ) { 
		    echo get_theme_mod('re_text');
		} else {
			echo __( 'Halaman ini tidak tersedia atau mungkin sudah kadaluarsa', 'sekolah' );
		}
	}
endif;
// Copyright
function sekolah_customize_partial_footcopy() {
	sekolah_text_footer();
}
if ( ! function_exists( 'sekolah_text_footer' ) ) :
	function sekolah_text_footer() {
		if ( get_theme_mod('copy_foot') != "" ) {
			echo get_theme_mod('copy_foot'); 
		} else {
	    	get_template_part('footer/copyright');
		}
	}
endif;
if ( ! function_exists( 'post_related_by_category' ) ) :
	function post_related_by_category() {
		get_template_part('single/related-post');
	}
endif;
if ( ! function_exists( 'post_another_agendas' ) ) :
	function post_another_agendas() {
		get_template_part('single/another-agendas');
	}
endif;
if ( ! function_exists( 'post_another_blogs' ) ) :
	function post_another_blogs() {
		get_template_part('single/another-blogs');
	}
endif;
if ( ! function_exists( 'post_another_editorials' ) ) :
	function post_another_editorials() {
		get_template_part('single/another-editorials');
	}
endif;
if ( ! function_exists( 'post_another_ekskul' ) ) :
	function post_another_ekskul() {
		get_template_part('single/another-ekskul');
	}
endif;
if ( ! function_exists( 'post_another_fasilitas' ) ) :
	function post_another_fasilitas() {
		get_template_part('single/another-fasilitas');
	}
endif;
if ( ! function_exists( 'post_another_galeri' ) ) :
	function post_another_galeri() {
		get_template_part('single/another-galeri');
	}
endif;
if ( ! function_exists( 'post_another_pengumuman' ) ) :
	function post_another_pengumuman() {
		get_template_part('single/another-pengumuman');
	}
endif;
if ( ! function_exists( 'post_another_prestasi' ) ) :
	function post_another_prestasi() {
		get_template_part('single/another-prestasi');
	}
endif;
if ( ! function_exists( 'post_another_slider' ) ) :
	function post_another_slider() {
		get_template_part('single/another-slider');
	}
endif;
if ( ! function_exists( 'post_another_ukm' ) ) :
	function post_another_ukm() {
		get_template_part('single/another-ukm');
	}
endif;
if ( ! function_exists( 'post_another_video' ) ) :
	function post_another_video() {
		get_template_part('single/another-video');
	}
endif;
// sekolah Template Tags
if ( ! function_exists( 'editorial_news' ) ) :
	function editorial_news() {
		get_template_part('beranda/editorial-news');
	}
endif;
if ( ! function_exists( 'three_block' ) ) :
	function three_block() {
		get_template_part('beranda/three-block');
	}
endif;
if ( ! function_exists( 'sekolah_slide_guru' ) ) :
	function sekolah_slide_guru() {
		get_template_part('beranda/slideguru');
	}
endif;
if ( ! function_exists( 'three_bot_block' ) ) :
	function three_bot_block() {
		get_template_part('beranda/three-bottom-block');
	}
endif;
if ( ! function_exists( 'sekolah_video_post' ) ) :
	function sekolah_video_post() {
		get_template_part('beranda/video');
	}
endif;
if ( ! function_exists( 'call_fasilitas_post' ) ) :
	function call_fasilitas_post() {
		get_template_part('beranda/fasilitas');
	}
endif;
if ( ! function_exists( 'call_ekskul_post' ) ) :
	function call_ekskul_post() {
		get_template_part('beranda/ekskul');
	}
endif;
if ( ! function_exists( 'agenda_on_parallax' ) ) :
	function agenda_on_parallax() {
		get_template_part('beranda/agenda');
	}
endif;
if ( ! function_exists( 'sekolah_thumb_gallery' ) ) :
	function sekolah_thumb_gallery() {
		get_template_part('beranda/galeri');
	}
endif;
if ( ! function_exists( 'sekolah_slide_quotes' ) ) :
	function sekolah_slide_quotes() {
		get_template_part('beranda/quotes');
	}
endif;
